# Interface ICefMediaSinkDeviceInfoCallback

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefMediaSinkDeviceInfoCallback = interface(ICefBaseRefCounted)`

## Description

Callback interface for ICefMediaSink.GetDeviceInfo. The functions of this interface will be called on the browser process UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_media_router_capi.h">CEF source file: /include/capi/cef_media_router_capi.h (cef_media_sink_device_info_callback_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefMediaSinkDeviceInfoCallback

## Overview

### Methods

| `procedure OnMediaSinkDeviceInfo(const ip_address: ustring; port: integer; const model_name: ustring);`

## Description

### Methods

| `procedure OnMediaSinkDeviceInfo(const ip_address: ustring; port: integer; const model_name: ustring);`
Method that will be executed asyncronously once device information has been retrieved. ###### Attributes GUID['{633898DD-4169-45D0-ADDD-6E68B3686E0D}']

Generated by PasDoc 0.16.0-snapshot.